<?php

namespace Drupal\testsuite;

/**
 * Test Suite Base Service.
 */
class BaseService {

  /**
   * The list of areas represent the areas where modules are.
   *
   * @var array
   */
  protected $areas = [
    'core',
    'contrib',
    'custom',
  ];

  /**
   * The list of directories represent the directories where phpunit tests are.
   *
   * @var array
   */
  protected $directories = [
    'Unit',
    'Kernel',
    'Functional',
    'FunctionalJavascript',
  ];

  /**
   * Checks to see if the path has the web folder in it.
   *
   * @return bool
   *   Returns true or false
   */
  public function hasWebFolder() {
    if (preg_match('/\bweb\b/', \Drupal::service('file_system')->realpath('core'))) {
      return TRUE;
    }
    else {
      return FALSE;
    }
  }

  /**
   * Checks to see if the path is windows.
   *
   * @return bool
   *   Returns true or false
   */
  public function isWindows() {
    return strtoupper(substr(PHP_OS, 0, 3)) === 'WIN';
  }

}
